For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve online sip users for an account
      • POSTretrieve online sip users for an account by list of sip username
      • GETretrieve registered client registration
      • GETList Clients
      • POSTCreate a new client
      • GETGet a client
      • PUTUpdate a client
      • DELdelete a client
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementClients

retrieve online sip users for an account by list of sip username

POST
https://api.jambonz.cloud/v1/Accounts/:AccountSid/RegisteredSipUsers
POST
/v1/Accounts/:AccountSid/RegisteredSipUsers
$curl -X POST https://api.jambonz.cloud/v1/Accounts/AccountSid/RegisteredSipUsers \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> "alice123",
> "bob456"
>]'
200Successful
1[
2 {
3 "name": "alice123",
4 "contact": "sip:alice123@client.jambonz.cloud;transport=wss",
5 "expiryTime": 1710000000000,
6 "protocol": "wss",
7 "allow_direct_app_calling": 1,
8 "allow_direct_queue_calling": 1,
9 "allow_direct_user_calling": 1,
10 "registered_status": "active",
11 "proxy": "sip:203.0.113.5:5060"
12 },
13 {
14 "name": "bob456",
15 "contact": "sip:bob456@client.jambonz.cloud;transport=udp",
16 "expiryTime": 1710003600000,
17 "protocol": "udp",
18 "allow_direct_app_calling": 0,
19 "allow_direct_queue_calling": 1,
20 "allow_direct_user_calling": 0,
21 "registered_status": "active",
22 "proxy": "sip:198.51.100.7:5060"
23 }
24]
Was this page helpful?
Previous

retrieve registered client registration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

AccountSidstringRequired

Request

This endpoint expects a list of strings.

Response

retrieve online sip users for an account
namestring
the client username
contactstring
The value in the contact header of the registration
expiryTimeinteger

The timestamp (in ms since 00:00:00.000 01/01/1970) that the current registraion will expire

protocolenum
Allowed values:
allow_direct_app_callinginteger
set to 1 if client is allowed to call app sids directly
allow_direct_queue_callinginteger
set to 1 if client is allowed to dial into queues to dequeue calls
allow_direct_user_callinginteger
set to 1 if client is allowed to call other users by name directly.
registered_statusenum
if there is a current registered session from the client
Allowed values:
proxystring
The source IP and Port used for the registration request.